Loading...
Searching...
No Matches
Opm::TableColumn Class Reference

## Public Member Functions

| TableColumn (const ColumnSchema &schema)
| TableColumn (const TableColumn &c2)
size_t | size () const
const std::string & | name () const
void | assertOrder (double value1, double value2, size_t index, const std::string &tableName) const
void | addValue (double, const std::string &tableName)
void | addDefault (const std::string &tableName)
void | updateValue (size_t index, double value, const std::string &tableName)
double | operator[] (size_t index) const
bool | defaultApplied (size_t index) const
bool | hasDefault () const
double | front () const
double | back () const
double | min () const
double | max () const
bool | inRange (double arg) const
TableIndex | lookup (double argValue) const
double | eval (const TableIndex &index) const
void | applyDefaults (const TableColumn &argColumn, const std::string &tableName)
void | assertUnitRange () const
TableColumn & | operator= (const TableColumn &other)
std::vector< double > | vectorCopy () const
std::vector< double >::const_iterator | begin () const
std::vector< double >::const_iterator | end () const
std::vector< double >::const_reverse_iterator | rbegin () const
std::vector< double >::const_reverse_iterator | rend () const
bool | operator== (const TableColumn &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static TableColumn | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Tables/TableColumn.hpp
- opm/input/eclipse/EclipseState/Tables/TableColumn.cpp